Package org.opensaml.xacml.policy

# Interface ExpressionType

All Superinterfaces:
  `XACMLObject`, `XMLObject`

All Known Subinterfaces:
  `ApplyType`, `AttributeAssignmentType`, `AttributeDesignatorType`, `AttributeSelectorType`, `AttributeValueType`, `ConditionType`, `FunctionType`, `SubjectAttributeDesignatorType`, `VariableReferenceType`

All Known Implementing Classes:
  `ApplyTypeImpl`, `AttributeAssignmentTypeImpl`, `AttributeDesignatorTypeImpl`, `AttributeSelectorTypeImpl`, `AttributeValueTypeImpl`, `ConditionTypeImpl`, `FunctionTypeImpl`, `SubjectAttributeDesignatorTypeImpl`, `VariableReferenceTypeImpl`

public interface ExpressionType extends XACMLObject
XACML Expression schema type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Local name of the element.
`static final QName`
`DEFAULT_ELEMENT_NAME_XACML20`
Default element name.
`static final String`
`SCHEMA_TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`SCHEMA_TYPE_NAME`
QName of the XSI type.

## Method Summary

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

static final String DEFAULT_ELEMENT_LOCAL_NAME
Local name of the element.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME_XACML20

static final QName DEFAULT_ELEMENT_NAME_XACML20
Default element name.

### SCHEMA_TYPE_LOCAL_NAME

static final String SCHEMA_TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### SCHEMA_TYPE_NAME

static final QName SCHEMA_TYPE_NAME
QName of the XSI type.